package com.bankaudit.process.model;

import java.io.Serializable;
import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;

@Entity
@Table(name="ifc_batch_process_status")
public class IfcBatchProcessStatus implements Serializable{

	@Id
	@Column(name="legal_entity_code")
	private Integer legalEntityCode;
	
	@Id
	@Column(name="audit_type_code")
	private String auditTypeCode;
	
	@Id
	@Column(name="audit_id")
	private String auditId;
	
	@Column(name="plan_id")
	private String planId;
	
	@Column(name="unit_id")
	private String unitId;
	
	@Column(name="user_id")
	private String userId;
	
	@Column(name="batch_start_timestamp")
	private Date batchStartTimestamp;
	
	@Column(name="batch_end_timestamp")
	private Date batchEndTimestamp;
	
	@Column(name="batch_inprogress_status")
	private boolean batchInprogressStatus;

	public Integer getLegalEntityCode() {
		return legalEntityCode;
	}

	public void setLegalEntityCode(Integer legalEntityCode) {
		this.legalEntityCode = legalEntityCode;
	}

	public String getAuditTypeCode() {
		return auditTypeCode;
	}

	public void setAuditTypeCode(String auditTypeCode) {
		this.auditTypeCode = auditTypeCode;
	}

	public String getAuditId() {
		return auditId;
	}

	public void setAuditId(String auditId) {
		this.auditId = auditId;
	}

	public String getPlanId() {
		return planId;
	}

	public void setPlanId(String planId) {
		this.planId = planId;
	}

	public String getUnitId() {
		return unitId;
	}

	public void setUnitId(String unitId) {
		this.unitId = unitId;
	}

	public String getUserId() {
		return userId;
	}

	public void setUserId(String userId) {
		this.userId = userId;
	}

	public Date getBatchStartTimestamp() {
		return batchStartTimestamp;
	}

	public void setBatchStartTimestamp(Date batchStartTimestamp) {
		this.batchStartTimestamp = batchStartTimestamp;
	}

	public Date getBatchEndTimestamp() {
		return batchEndTimestamp;
	}

	public void setBatchEndTimestamp(Date batchEndTimestamp) {
		this.batchEndTimestamp = batchEndTimestamp;
	}

	public boolean isBatchInprogressStatus() {
		return batchInprogressStatus;
	}

	public void setBatchInprogressStatus(boolean batchInprogressStatus) {
		this.batchInprogressStatus = batchInprogressStatus;
	}
	
	
}
